FAQ
Hello,

I'm trying to read a Qpid queue using this package:
https://github.com/postwait/node-amqp

But I had this error error:
[Error: Frame size exceeds max frame]

Searching on the package, I found that the version it supports AMQP is
0.9.1 and I work with 0.10, does anyone know any other package or solution
to make reading queues apache Qpid 0.24 and 0.10?

Code:

var amqp = require('amqp');
var connection = amqp.createConnection({ host: '127.0.0.1' });

// Wait for connection to become established.
connection.on('ready', function () {
   // Use the default 'amq.topic' exchange
   connection.queue('queue', function(q){
     console.log(q);
       // Catch all messages
       q.bind('#');

       // Receive messages
       q.subscribe(function (message) {
         // Print messages to stdout
         console.log(message);
       });
   });
});

Thank you.

--
Job board: http://jobs.nodejs.org/
New group rules: https://gist.github.com/othiym23/9886289#file-moderation-policy-md
Old group rules: https://github.com/joyent/node/wiki/Mailing-List-Posting-Guidelines
---
You received this message because you are subscribed to the Google Groups "nodejs" group.
To unsubscribe from this group and stop receiving emails from it, send an email to nodejs+unsubscribe@googlegroups.com.
To post to this group, send email to nodejs@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/nodejs/57ac4795-c8da-4c25-a6af-218b73686783%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

Search Discussions

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupnodejs @
categoriesnodejs
postedAug 22, '14 at 11:53p
activeAug 22, '14 at 11:53p
posts1
users1
websitenodejs.org
irc#node.js

1 user in discussion

Felipe Silveira: 1 post

People

Translate

site design / logo © 2021 Grokbase